<ul class="breadcrumb">
    <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
    <li><?= $this->translate('budget_module_title') ?></li>
    <li class="active"><?= $this->translate('budgetStatus_module_title') ?></li>
</ul>

<h1 class="page-title">
    <?= $this->icon('budgetStatus') ?> <?= $this->translate('budgetStatus_module_title') ?>
</h1>

<div class="row row-padding">
    <div class="col-xs-12">
        <div class="panel" ng-controller="budgetStatusController as self">
            <table-builder options="self.options" items="self.statutes" class="table-builder">
                <div class="panel-heading">
                    <?= $this->translate('budgetStatus_nav_list') ?>
                    <div class="panel-heading-right">
                        <div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_remove_from_list') ?>">
                            <?= $this->icon('eraser', 'fa-fw pointer', ['ng-click' => '__tb.removeFromList()']) ?>
                        </div>
                        <div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_export_xls') ?>">
                            <?= $this->icon('excel', 'fa-fw pointer', ['ng-click' => '__tb.exportExcel()']) ?>
                        </div>
                        <div class="panel-heading-actions" tooltip="<?= $this->translate('tooltip_refresh') ?>">
                            <?= $this->icon('refresh', 'fa-fw pointer', ['ng-click' => '__tb.loadData()']) ?>
                        </div>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-sm-4">
                            <div class="table-filters little-panel">
                                <div class="title table-filters-header">
                                    <div class="input-group">
                                        <div class="input-group-addon pointer" data-toggle="collapse" href="#filters-collapsed">
                                            <?= $this->icon('filters', 'fa-fw') ?>
                                            <span class="caret"></span>
                                        </div>
                                        <input type="text" placeholder="<?= $this->translate('search', null, null, false) ?>" class="form-control"
                                               ng-model="self.fullText" id="full-text" on-enter="self.fullTextSearch()"/>
                                        <div class="input-group-addon pointer" ng-click="self.fullTextSearch()">
                                            <?= $this->icon('search', 'fa-fw') ?>
                                        </div>
                                    </div>
                                </div>
                                <div id="filters-collapsed" class="body collapse">
                                    <?php
                                    $filters = [
                                        'id' => [
                                            'label' => $this->translate('budgetStatus_field_id'),
                                            'type'  => 'string'
                                        ],
                                        'name' => [
                                            'label' => $this->translate('budgetStatus_field_name'),
                                            'type'  => 'string'
                                        ],
                                        'lock' => [
                                            'label' => $this->translate('budgetStatus_field_lock'),
                                            'type'  => 'boolean'
                                        ]
                                    ];

                                    echo $this->tableFilter('__tb.apiParams.search.data.filters', $filters);
                                    ?>
                                    <div class="row">
                                        <div class="col-xs-6">
                                            <button class="btn" ng-click="self.resetfullTextSearch(); __tb.resetFilters(); __tb.loadData()"><?= $this->translate('table_filter_reset_button') ?></button>
                                        </div>
                                        <div class="col-xs-6 text-right">
                                            <button class="btn" ng-click="self.resetfullTextSearch(); __tb.loadData()">
                                                <?= $this->icon('search', 'fa-fw') ?>
                                                <?= $this->translate('table_filter_button') ?>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <table-builder-columns></table-builder-columns>
                        </div>
                        <?php if ($this->acl()->isAllowed('application:e:query:r')) : ?>
                            <div class="col-sm-4">
                                <table-builder-queries></table-builder-queries>
                            </div>
                        <?php endif; ?>
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            <form name="statusForm">
                                <table table-builder-table class="table table-bordered table-condensed table-hover">
                                    <thead>
                                        <tr>
                                            <th tb-column tb-name="selection" class="checkbox-column"><input type="checkbox" ng-model="__tb.selection"/></th>
                                            <th tb-column tb-name="id"      tb-sortable="true"  tb-toggle="true"><?= $this->translate('budgetStatus_field_id') ?></th>
                                            <th tb-column tb-name="name"    tb-sortable="true"  tb-toggle="true"><?= $this->translate('budgetStatus_field_name') ?></th>
                                            <th tb-column tb-name="lock"    tb-sortable="true"  tb-toggle="true"><?= $this->translate('budgetStatus_field_lock') ?></th>
                                            <th tb-column tb-name="createdAt"  tb-sortable="true" tb-toggle="true" tb-hidden="true"><?= $this->translate('budgetStatus_field_createdAt') ?></th>
                                            <th tb-column tb-name="updatedAt"  tb-sortable="true" tb-toggle="true" tb-hidden="true"><?= $this->translate('budgetStatus_field_updatedAt') ?></th>
                                            <th tb-column tb-name="actions" class="actions-column"></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr ng-repeat="status in self.statutes">
                                            <td><input type="checkbox" ng-model="status.selected"/></td>
                                            <td>{{status.id}}</td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== status">
                                                    <a ng-if="status._rights.read" ng-click="self.editStatus(status)" class="pointer">{{status.name}}</a>
                                                    <span ng-if="!status._rights.read">{{status.name}}</span>

                                                    <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(status)', 'ng-if' => 'status._rights.update']) ?>
                                                </span>
                                                <span ng-if="self.editedLine == status">
                                                    <input type="text" name="name" class="form-control" required autocomplete="off"
                                                           ng-model="self.editedLineFields.name"  />
                                                    <field-errors field="name" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>

                                            <td class="editable">
                                                <span ng-show="self.editedLine !== status">
                                                    {{status.lock ? 'Oui' : 'Non'}}
                                                    <?= $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(status)', 'ng-if' => 'status._rights.update']) ?>
                                                </span>
                                                <span ng-if="self.editedLine == status">
                                                    <input type="hidden" name="lock"  ng-model="self.editedLineFields.lock" />
                                                    <input type="checkbox" name="lock"  ng-model="self.editedLineFields.lock" />
                                                    <field-errors field="lock" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>

                                            <td>{{status.createdAt | dateFormat : 'DD/MM/YYYY'}}</td>
                                            <td>{{status.updatedAt | dateFormat : 'DD/MM/YYYY'}}</td>
                                            <td>
                                                <div class="btn-group btn-group-actions" ng-if="self.editedLine !== status">
                                                    <?php if ($this->acl()->isAllowed('budget:e:budgetStatus:r')) : ?>
                                                        <a ng-if="status._rights.read" ng-click="self.editStatus(status)" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_edit') ?>">
                                                            <?= $this->icon('edit') ?>
                                                        </a>
                                                    <?php endif; ?>

                                                    <?php if ($this->acl()->isAllowed('budget:e:budgetStatus:d')) : ?>
                                                        <a ng-if="status._rights.delete" ng-click="self.deleteStatus(status)" class="btn btn-xs btn-default" tooltip="<?= $this->translate('tooltip_delete') ?>">
                                                            <?= $this->icon('delete') ?>
                                                        </a>
                                                    <?php endif; ?>
                                                </div>
                                                <div class="btn-group btn-group-actions" ng-if="self.editedLine == status">
                                                    <button class="btn btn-xs btn-default" ng-click="self.saveEditedLine(status)" type="submit" tooltip="<?= $this->translate('tooltip_save') ?>">
                                                        <?= $this->icon('save') ?>
                                                    </button>
                                                    <button class="btn btn-xs btn-default" ng-click="self.editedLine = null" type="button" tooltip="<?= $this->translate('tooltip_cancel') ?>">
                                                        <?= $this->icon('close') ?>
                                                    </button>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                </div>
            </table-builder>

            <?= $this->partial('budget/budget-status/form.phtml') ?>

            <?php
                $fabLinks = [];

                if ($this->acl()->isAllowed('budget:e:budgetStatus:c')) {
                    $fabLinks[] = [
                        'ng-click' => 'self.createStatus(); showFab = false',
                        'href'     => '#',
                        'text'     => $this->icon('create', 'fa-fw') . ' ' . $this->translate('budgetStatus_nav_form')
                    ];
                    $fabLinks[] = [
                        'href' => $this->url('import', ['entity' => 'budgetStatus']),
                        'text' => $this->icon('import', 'fa-fw') . ' ' . $this->translate('budgetStatus_nav_import')
                    ];
                }

                echo $this->fabMenu($fabLinks);
            ?>
        </div>
    </div>
</div>



<?php
    $this->angular('js/src/budget/service/budgetStatus.js');
    $this->angular('js/src/application/query/service/query.js');

    $this->angular('js/src/budget/controller/budget-status/list.js');
    $this->angular('js/src/budget/controller/budget-status/form.js');
?>

